This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1014974 - Augeas cyrus-imap lens do not produce valid config entries + FIX
Augeas cyrus-imap lens do not produce valid config entries + FIX
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: augeas (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: lutter@watzmann.net
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-03 05:00 EDT by Dietmar Kling
Modified: 2014-03-15 11:11 EDT (History)
4 users (show)

See Also:
Fixed In Version: augeas-1.2.0-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-15 11:11:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
FIX for augeas lens for cyrus-imapd (482 bytes, patch)
2013-10-03 05:00 EDT, Dietmar Kling
no flags Details | Diff

  None (edit)
Description Dietmar Kling 2013-10-03 05:00:28 EDT
Created attachment 806944 [details]
FIX for augeas lens for cyrus-imapd

Description of problem:


If you add add an new parameter via the augtool to cyrus-imapd.conf
then the entry is not in a valid syntax, and cyrus parser complains
"syntax error"

Tested with

* cyrus-imapd-2.4.17-6
* augeas-1.1.0-2.fc20.x86_64

Version-Release number of selected component (if applicable):
augeas-libs-1.1.0-2.fc20.x86_64

How reproducible:


Steps to Reproduce:
1. Install augtool
2. Install cyrus-imapd
3. Make sure that parameter in step 4 does not exist in imapd.conf
4. augtool set /files/etc/imapd.conf/munge8bit files
5. start cyrus-imapd --> FAILS


Actual results:
in imapd.conf:
munge8bit : false

in log from cyrus-imapd (line number may vary):
invalid option name on line 16 of configuration file /etc/imapd.conf


Expected results:
For cyrus-imapd in this version you must not use a space after parameter name

cyrus-imapd.conf should read 
munge8bit: false


Additional info:

PATCH ATTACHED
Comment 1 Dominic Cleal 2013-10-07 03:22:46 EDT
Thanks for the patch, merged upstream with an additional test.

commit 37a12d3b163fd424475e36bab79a8862a560a07b
Author: Dietmar Kling <baldur@email.de>
Date:   Mon Oct 7 08:15:01 2013 +0100

    Cyrus_Imapd: create new entries without space before separator
    
    Fixes RHBZ#1014974
Comment 2 Fedora Update System 2014-02-12 08:33:51 EST
augeas-1.2.0-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/augeas-1.2.0-1.fc20
Comment 3 Fedora Update System 2014-02-14 02:54:34 EST
Package augeas-1.2.0-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing augeas-1.2.0-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-2452/augeas-1.2.0-1.fc20
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2014-03-15 11:11:02 EDT
augeas-1.2.0-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.